# Uses of Enum Class
org.apache.lucene.analysis.ko.POS.Type

Packages that use POS.Type
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.
org.apache.lucene.analysis.ko.dict
Korean dictionary implementation.
org.apache.lucene.analysis.ko.tokenattributes
Additional Korean-specific Attributes for text analysis.

- ## Uses of POS.Type in org.apache.lucene.analysis.ko

  Methods in org.apache.lucene.analysis.ko that return POS.Type
  Modifier and Type
  Method
  Description
  `POS.Type`
  DecompoundToken.`getPOSType()`
  `POS.Type`
  DictionaryToken.`getPOSType()`
  `abstract POS.Type`
  Token.`getPOSType()`
  Get the `POS.Type` of the token.
  `static POS.Type`
  POS.`resolveType(byte type)`
  Returns the `POS.Type` of the provided `type`.
  `static POS.Type`
  POS.`resolveType(String name)`
  Returns the `POS.Type` of the provided `name`.
  `static POS.Type`
  POS.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static POS.Type[]`
  POS.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of POS.Type in org.apache.lucene.analysis.ko.dict

  Methods in org.apache.lucene.analysis.ko.dict that return POS.Type
  Modifier and Type
  Method
  Description
  `POS.Type`
  KoMorphData.`getPOSType(int morphId)`
  Get the `POS.Type` of specified word (morpheme, compound, inflect or pre-analysis)

- ## Uses of POS.Type in org.apache.lucene.analysis.ko.tokenattributes

  Methods in org.apache.lucene.analysis.ko.tokenattributes that return POS.Type
  Modifier and Type
  Method
  Description
  `POS.Type`
  PartOfSpeechAttribute.`getPOSType()`
  Get the `POS.Type` of the token.
  `POS.Type`
  PartOfSpeechAttributeImpl.`getPOSType()`